/*
 * Copyright 2018 Red Hat, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jboss.playground;

import org.hibernate.event.internal.EntityCopyAllowedLoggedObserver;
import org.hibernate.event.spi.EntityCopyObserver;
import org.hibernate.event.spi.EventSource;
import org.hibernate.internal.CoreLogging;
import org.hibernate.internal.CoreMessageLogger;

public class PlaygroundEntityCopyObserver extends EntityCopyAllowedLoggedObserver implements EntityCopyObserver {

	private static final CoreMessageLogger LOG = CoreLogging.messageLogger( PlaygroundEntityCopyObserver.class );

	@Override
	public void clear() {
		super.clear();
		LOG.info("PlaygroundEntityCopyObserver.clear()");
	}

	@Override
	public void entityCopyDetected(Object managedEntity, Object mergeEntity1, Object mergeEntity2, EventSource session) {
		super.entityCopyDetected(managedEntity, mergeEntity1, mergeEntity2, session);
		LOG.info("PlaygroundEntityCopyObserver.entityCopyDetected(...)");
	}

	@Override
	public void topLevelMergeComplete(EventSource session) {
		super.topLevelMergeComplete(session);
		LOG.info("PlaygroundEntityCopyObserver.topLevelMergeComplete(...)");
	}

}
